import type { ConsolaInstance } from 'consola';
import type { Authentication } from '../types/options.js';
import type { NuxtApp } from '#app';
/**
 * Creates a fetch client with interceptors for handling authentication and CSRF tokens.
 * @param app The Nuxt application instance.
 * @param authentication The authentication configuration.
 * @param logger The logger instance.
 */
export declare function createFetchClient(app: NuxtApp, authentication: Required<Authentication>, logger: ConsolaInstance): import("nitropack/types").$Fetch<unknown, import("nitropack/types").NitroFetchRequest>;
